{
	"name": "form/nc/erp-sync/procountor/column/product_work-actual.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && data.change_field && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status === 'changed'",
				"nc-grid-row-deleted": "data.change_status === 'deleted'",
				"nc-grid-row-equal": "data.change_status === 'equal'",
				"nc-grid-row-new": "data.change_status === 'new'"
			}
		}
	},
	"column": [
		{
			"export": false,
			"icon": "nc-link-icon",
			"field": "prwo.product_id",
			"link_field": "prwo.product_id",
			"name": "Work number"
		},
		{
			"export": false,
			"name": "Status",
			"variable": "change_status",
			"editable": false,
			"width": 65
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 180
		},
		{
			"export": false,
			"field": "prwo.person_id",
			"name": "Employee",
			"width": 120
		},
		{
			"export": false,
			"field": "prwo.start_time",
			"type": "datetime",
			"format": "datetime",
			"organization_id": { "4d": { "field": "prwo.json_data.start_date" } },
			"info": "start_time set in procountor.setProcountorData(), field2 is only grid formatting, not data change",
			"field2-": "prwo.json_data.start_time",
			"width": 155
		},
		{
			"export": false,
			"field": "prwo.end_time",
			"type": "datetime",
			"format": "datetime",
			"organization_id": { "4d": { "field": "prwo.json_data.end_date" } },
			"info": "start_time set in procountor.setProcountorData(), field2 is only grid formatting, not data change",
			"field2-": "prwo.json_data.end_time",
			"width": 155
		},
		{
			"export": false,
			"field": "prwo.json_data.start_time",
			"organization_id": { "procountor": { "load": false } },
			"hide": true
		},
		{
			"export": false,
			"field": "prwo.json_data.end_time",
			"organization_id": { "procountor": { "load": false } },
			"hide": true
		},
		{
			"export": false,
			"field": "prwo.work_hours",
			"name": "Work hours",
			"format": "%'.2f",
			"width": 110
		},
		{
			"export": false,
			"field": "prwo.json_data.evening_work_hours",
			"name": "Evening hours",
			"format": "%'.2f",
			"width": 110
		},
		{
			"export": false,
			"field": "prwo.json_data.night_work_hours",
			"name": "Night hours",
			"format": "%'.2f",
			"width": 100
		},
		{
			"variable": "A",
			"static_export": "E",
			"width": 35
		},
		{
			"field": "prwo.json_data.employee_number",
			"name": "B: number",
			"organization_id": { "4d": { "field": "per.json_data.employee_number" } },
			"width": 120
		},
		{
			"field": "prwo.json_data.salary_code",
			"name": "C: code",
			"organization_id": { "4d": { "field": "pr.json_data.transfer_id" } },
			"width": 70
		},
		{
			"variable": "D",
			"static_export": "",
			"width": 35
		},
		{
			"field": "prwo.json_data.salary_amount",
			"name": "E: amount",
			"format": "%'.2f",
			"organization_id": { "4d": { "load": false } },
			"width": 90
		},
		{
			"export": false,
			"variable": "prwo.json_data.evening_amount",
			"name": "Evening",
			"format": "%'.2f",
			"width": 90
		},
		{
			"export": false,
			"variable": "prwo.json_data.night_amount",
			"name": "Night",
			"format": "%'.2f",
			"width": 90
		},
		{
			"export": false,
			"field": "prwo.info",
			"name": "Info",
			"width": 200
		},
		{
			"variable": "F",
			"static_export": "",
			"width": 35
		},
		{
			"variable": "G",
			"static_export": "",
			"width": 35
		},
		{
			"variable": "H",
			"static_export": "",
			"width": 35
		},
		{
			"variable": "I",
			"static_export": "",
			"width": 35
		},
		{
			"variable": "J",
			"static_export": "",
			"width": 35
		},
		{
			"variable": "K",
			"static_export": "",
			"width": 35
		},
		{
			"variable": "L",
			"static_export": "",
			"width": 35
		},
		{
			"variable": "M",
			"static_export": "",
			"width": 35
		},
		{
			"variable": "N",
			"static_export": "",
			"width": 35
		},
		{
			"variable": "O",
			"static_export": "",
			"width": 35
		},
		{
			"variable": "P",
			"static_export": "",
			"width": 35
		},
		{
			"variable": "Q",
			"static_export": "",
			"width": 35
		},
		{
			"variable": "R",
			"static_export": "",
			"width": 35
		},
		{
			"field": "prwo.json_data.start_date",
			"name": "S: start",
			"format": "%d.%m.%Y",
			"width": 90
		},
		{
			"field": "prwo.json_data.end_date",
			"name": "T: end",
			"format": "%d.%m.%Y",
			"width": 90
		},
		{
			"variable": "U",
			"static_export": "",
			"width": 35
		},
		{
			"export": false,
			"field": "prwo.json_data.transfer_id",
			"static_export": "",
			"organization_id": { "4d": { "field": "prwo.record_id" } },
			"name": "Transfer id",
			"width": 360
		},
		{
			"export": false,
			"field": "prwo.record_id",
			"name": "Record id",
			"width": 360
		}
	]
}
